<?php
/**
 * 2021 Floa BANK
 *
 * THE MIT LICENSE
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated
 * documentation files (the "Software"), to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and
 * to permit persons to whom the Software is furnished to do so, subject to the following conditions:
 * The above copyright notice and this permission notice shall be included in all copies or substantial portions of the
 * Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF
 * CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
 * IN THE SOFTWARE.
 *
 * @author    FLOA Bank
 * @copyright 2021 FLOA Bank
 * @license   https://opensource.org/licenses/MIT The MIT License
 */

class FloaPayBackModuleFrontController extends ModuleFrontController
{
    
    /**
     * initContent
     *
     * @return void
     */
    public function initContent()
    {
        parent::initContent();
        $referer    = Tools::getValue("goto");
        $reference  = (int) Tools::getValue("ref");
        $token      = Tools::getValue("token");
        if (Tools::getToken() == $token && $reference > 0 && $referer) {
            $cart = new Cart((int) $reference);
            if (isset($this->context->customer->id) && $cart->id_customer == $this->context->customer->id) {
                $old_cart_secure_key    = $cart->secure_key;
                $old_cart_customer_id   = (int)$cart->id_customer;
                $cart_products          = $cart->getProducts();
                $newCart                = new Cart();
                $newCart->id_lang       = $this->context->language->id;
                $newCart->id_currency   = $this->context->currency->id;
                $newCart->add();
                foreach ($cart_products as $product) {
                    $newCart->updateQty(
                        (int) $product['quantity'],
                        (int) $product['id_product'],
                        (int) $product['id_product_attribute']
                    );
                }
                $newCart->id_customer = $old_cart_customer_id;
                $newCart->secure_key = $old_cart_secure_key;
                $newCart->save();
                $this->context->cart = $newCart;
                $this->context->cart->update();
                $this->context->cookie->id_cart = (int) $newCart->id;
                Tools::redirect($referer);
            } else {
                Tools::redirect(_PS_BASE_URL_ . __PS_BASE_URI__);
            }
        } else {
            Tools::redirect(_PS_BASE_URL_ . __PS_BASE_URI__);
        }
    }
}
