<?php
/**
 * 2021 Floa BANK
 *
 * THE MIT LICENSE
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated
 * documentation files (the "Software"), to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and
 * to permit persons to whom the Software is furnished to do so, subject to the following conditions:
 * The above copyright notice and this permission notice shall be included in all copies or substantial portions of the
 * Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF
 * CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
 * IN THE SOFTWARE.
 *
 * @author    FLOA Bank
 * @copyright 2021 FLOA Bank
 * @license   https://opensource.org/licenses/MIT The MIT License
 */

class FloaPayIpnModuleFrontController extends ModuleFrontController
{
    
    /**
     * initContent
     *
     * @return void
     */
    public function initContent()
    {
        parent::initContent();
    }
    
    /**
     * postProcess
     *
     * @return void
     */
    public function postProcess()
    {
        $orderRef           = Tools::getValue('orderRef');
        $scoringToken       = Tools::getValue('scoringToken');
        $returnCode         = Tools::getValue('returnCode');
        if ($orderRef != '' && $scoringToken != '' && Tools::getValue('hmac') != '' && $returnCode != '') {
            sleep(20);
            $paymentValidation  = new paymentValidation($this->context, $this->module);
            $response           = $paymentValidation->validatePayment($orderRef, $scoringToken, $returnCode, true);
            if ($response['success'] == true) {
                echo json_encode(['error' => false]);
            } else {
                if ($response['type'] == 'refused') {
                    echo json_encode(['error' => false]);
                } else {
                    header("HTTP/1.0 500 Internal Server Error");
                    echo json_encode(['error' => true]);
                }
            }
            exit;
        } else {
            header("HTTP/1.0 500 Internal Server Error");
            exit;
        }
    }
}
