<?php
/**
 * 2021 Floa BANK
 *
 * THE MIT LICENSE
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated
 * documentation files (the "Software"), to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and
 * to permit persons to whom the Software is furnished to do so, subject to the following conditions:
 * The above copyright notice and this permission notice shall be included in all copies or substantial portions of the
 * Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF
 * CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
 * IN THE SOFTWARE.
 *
 * @author    FLOA Bank
 * @copyright 2021 FLOA Bank
 * @license   https://opensource.org/licenses/MIT The MIT License
 */

$sql   = [];
$sql[] = 'CREATE TABLE IF NOT EXISTS `' . _DB_PREFIX_ . 'floapay_orders` (
    `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
    `merchant_id` int(10) NOT NULL,
    `merchant_site_id` int(10) NOT NULL,
    `id_cart` int(10) unsigned,
    `id_order` int(10) unsigned,
    `scoring_date` datetime,
    `scoring_token` varchar(50),
    `payment_session_id` varchar(50),
    `request_id` int(10),
    `validation_date` datetime,
    `payment_date` datetime,
    `cancel_date` datetime,
    `op` varchar(20),
    `order_reference` varchar(20),
    `total_amount` int(10),
    `fees_amount` int(10),
    `partial_cancels` text,
    PRIMARY KEY (`id`),
    KEY `id_cart` (`id_cart`),
    KEY `id_order` (`id_order`)
) ENGINE=' . _MYSQL_ENGINE_ . ' DEFAULT CHARSET=utf8;';

$sql[] = 'CREATE TABLE IF NOT EXISTS `' . _DB_PREFIX_ . 'floapay_carrier_mapping` (
    `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
    `ps_id` int(10) unsigned,
    `floa_id` varchar(10),
    PRIMARY KEY (`id`),
    KEY `ps_id` (`ps_id`),
    KEY `floa_id` (`floa_id`)
) ENGINE=' . _MYSQL_ENGINE_ . ' DEFAULT CHARSET=utf8';

return $sql;
