/**
 * 2021 Floa BANK
 *
 * THE MIT LICENSE
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated
 * documentation files (the "Software"), to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and
 * to permit persons to whom the Software is furnished to do so, subject to the following conditions:
 * The above copyright notice and this permission notice shall be included in all copies or substantial portions of the
 * Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF
 * CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
 * IN THE SOFTWARE.
 *
 * @author    FLOA Bank
 * @copyright 2021 FLOA Bank
 * @license   https://opensource.org/licenses/MIT The MIT License
 */

$(function(){
    $('.payment_floa').on('click', function (e) {
        e.preventDefault();
        var id = $(this).data('id');
        $.fancybox({
            'content' : "<div class='selected_instance_"+id+"'>"+$(".payment_popup_"+id).html()+"</div>"
        });
    });
});
$(document).on('submit', '.fEligibility', function (e) {
    e.preventDefault();
    var selectedPaymentMethod = $(this).data('id');
    var formScoring = '.selected_instance_'+selectedPaymentMethod+' #form_'+selectedPaymentMethod+'_scoring';
    var datas = ComputeFloaFormDatas(selectedPaymentMethod, formScoring);
    var formValidator = floaValidatorForm(datas, _FLOA_COUNTRY_CONTEXT_);
    if (!formValidator['state']) {
        floaEligibilityError("displayPayment", selectedPaymentMethod, formValidator['messages']);
        document.getElementById('errorForm_'+selectedPaymentMethod).scrollIntoView();
    } else {
        document.getElementById('errorForm_'+selectedPaymentMethod).scrollIntoView();
        $('.selected_instance_'+selectedPaymentMethod+' #loading-'+selectedPaymentMethod).show();
        $.ajax({
            type: "POST",
            dataType: 'json',
            url: $(formScoring).attr('action'), 
            data: $(formScoring).serializeArray(),
            success: function(response){
                resp = response;
                if (typeof resp.success !=='undefined') {
                    if (resp.success == true && typeof resp.url !=='undefined') {
                        window.location.href = resp.url;
                    } else {
                        floaEligibilityError("displayPayment", selectedPaymentMethod, resp.messages);
                        $('.selected_instance_'+selectedPaymentMethod+' #loading-'+selectedPaymentMethod).hide();
                    }
                } else {
                    floaEligibilityError("displayPayment", selectedPaymentMethod, [_ERROR_OCCURED_]);
                    $('.selected_instance_'+selectedPaymentMethod+' #loading-'+selectedPaymentMethod).hide();
                }
            },
            error: function(response){
                resp = JSON.parse(response.responseText);
                if (typeof resp.messages !=='undefined') {
                    messages = resp.messages;
                } else {
                    messages = [_ERROR_OCCURED_];
                }
                floaEligibilityError("displayPayment", selectedPaymentMethod, messages);
                $('.selected_instance_'+selectedPaymentMethod+' #loading-'+selectedPaymentMethod).hide();
            }
        });
    }
    return false;
});
