/**
 * 2021 Floa BANK
 *
 * THE MIT LICENSE
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated
 * documentation files (the "Software"), to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and
 * to permit persons to whom the Software is furnished to do so, subject to the following conditions:
 * The above copyright notice and this permission notice shall be included in all copies or substantial portions of the
 * Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF
 * CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
 * IN THE SOFTWARE.
 *
 * @author    FLOA Bank
 * @copyright 2021 FLOA Bank
 * @license   https://opensource.org/licenses/MIT The MIT License
 */

$('#payment-confirmation .ps-shown-by-js button').on('click', function (e) {
    var button = $(this);
    var selectedIs1Xd = $('.payment-options').find('input[data-module-name="CB1XD"]').is(':checked');
    var selectedIs3X  = $('.payment-options').find('input[data-module-name="CB3X"]').is(':checked');
    var selectedIs4X  = $('.payment-options').find('input[data-module-name="CB4X"]').is(':checked');
    var selectedIs10X = $('.payment-options').find('input[data-module-name="CB10X"]').is(':checked');
    if (selectedIs3X || selectedIs4X || selectedIs10X || selectedIs1Xd) {
        e.preventDefault();
        if (selectedIs3X)
        {
            var formScoring = '#form_CB3X_scoring';
            var selectedPaymentMethod = "CB3X";
        }
        else if (selectedIs4X){
            var formScoring = '#form_CB4X_scoring';
            var selectedPaymentMethod = "CB4X";
        } 
        else if (selectedIs10X){
            var formScoring = '#form_CB10X_scoring';
            var selectedPaymentMethod = "CB10X";
        } 
        else if (selectedIs1Xd){
            var formScoring = '#form_CB1XD_scoring';
            var selectedPaymentMethod = "CB1XD";
        }
        var datas = ComputeFloaFormDatas(selectedPaymentMethod, formScoring);
        var formValidator = floaValidatorForm(datas, _FLOA_COUNTRY_CONTEXT_);
        if (!formValidator['state']) {
            floaEligibilityError("paymentOptions", selectedPaymentMethod, formValidator['messages']);
            document.getElementById('errorForm_'+selectedPaymentMethod).scrollIntoView();
        } else {
            document.getElementById('errorForm_'+selectedPaymentMethod).scrollIntoView();
            button.hide();
            $('#loading-'+selectedPaymentMethod).show();
            $.ajax({
                type: "POST",
                dataType: 'json',
                url: $('#form_'+selectedPaymentMethod+'_scoring').attr('action'), 
                data: $('#form_'+selectedPaymentMethod+'_scoring').serializeArray(),
                success: function(response){
                    resp = response;
                    if (typeof resp.success !=='undefined') {
                        if (resp.success == true && typeof resp.url !=='undefined') {
                            window.location.href = resp.url;
                        } else {
                            floaEligibilityError("paymentOptions", selectedPaymentMethod, resp.messages);
                            button.show();
                            $('#loading-'+selectedPaymentMethod).hide();
                        }
                    } else {
                        floaEligibilityError("paymentOptions", selectedPaymentMethod, [_ERROR_OCCURED_]);
                        button.show();
                        $('#loading-'+selectedPaymentMethod).hide();
                    }
                },
                error: function(response){
                    resp = JSON.parse(response.responseText);
                    if (typeof resp.messages !=='undefined') {
                        messages = resp.messages;
                    } else {
                        messages = [_ERROR_OCCURED_];
                    }
                    floaEligibilityError("paymentOptions", selectedPaymentMethod, messages);
                    button.show();
                    $('#loading-'+selectedPaymentMethod).hide();
                }
            });
        }
        return false;
    }
});
