{*
 * 2021 Floa BANK
 *
 * THE MIT LICENSE
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated
 * documentation files (the "Software"), to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and
 * to permit persons to whom the Software is furnished to do so, subject to the following conditions:
 * The above copyright notice and this permission notice shall be included in all copies or substantial portions of the
 * Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF
 * CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
 * IN THE SOFTWARE.
 *
 * @author    FLOA Bank
 * @copyright 2021 FLOA Bank
 * @license   https://opensource.org/licenses/MIT The MIT License
 *}

{if $fp_version == 'old'}<fieldset class="floa-config-15">{else}<div class="row floa-config">{/if}
    <div class="col-md-7 floa-config-col-left">
        <div class="panel">
            <img src="{$module_icon_path|escape:'htmlall':'UTF-8'}" alt=""/>
            <p class="text-justify">
                {l s='With the FLOA PAY solution, your customers can easily split their purchase into monthly payments while you receive funding upfront and in full.' mod='floapay'}<br /><br />
                {l s='Quick and easy to use, the FLOA PAY is a secure, paperless payment solution which works as simply as paying with a credit card at a point of sale.' mod='floapay'}<br /><br />
                {l s='To obtain the configuration information of your account, please contact your FLOA PAY Manager at the email address: ' mod='floapay'} <a href="mailto:partenairesecommerce@floa.fr">partenairesecommerce@floa.fr</a><br /><br />
                {l s='CGV can\'t be changed under penalty of civil action.' mod='floapay'}
            </p>
        </div>
    </div>
    <div class="col-md-5 floa-config-col-right">
        <div class="panel">
            <div class="panel-heading">
			    {l s='State' mod='floapay'}
			</div>
            <div>
                <p>{l s='Please check the minimum requirements below before using the solution.' mod='floapay'}</p>
                <div class="row">
                    <div class="col-md-6 floa-config-col-left">
                        <ul class="list-unstyled floa-list">
                            {foreach from=$states_list item=state_item}
                                <li class="{if $state_item.state == true}text-success{else}text-danger{/if}">
                                    <strong>
                                        <i class="{if $state_item.state == true}icon-check text-success{else}icon-remove text-danger{/if}"></i> &nbsp;
                                        {$state_item.message|escape:'htmlall':'UTF-8'}
                                    </strong>
                                </li>
                            {/foreach}
                        </ul>
                    </div>
                    <div class="col-md-6 floa-config-col-right">
                        <ul class="list-unstyled floa-list">
                            {foreach from=$payment_methods item=payment_method key=methodName}
                                <li class="{if isset($payment_method.active) && $payment_method.active == false}{elseif $payment_method.state == true}text-success{else}text-danger{/if}">
                                    <strong title="{if $payment_method.state == false}{foreach from=$payment_method.message item=message}{$message}
{/foreach}{/if}">
                                        <i class="{if isset($payment_method.active) && $payment_method.active == false}icon-info-sign{elseif $payment_method.state == true}icon-check text-success{else}icon-remove text-danger{/if}"></i> &nbsp; {$methodName|escape:'htmlall':'UTF-8'} 
                                    </strong>
                                </li>
                            {/foreach}
                        </ul>
                    </div>
                    <div class="col-md-12">
                        <div>{l s='Cultures' mod='floapay'} : 
                        {foreach from=$cultures item=available key=culture}
                            <div>
                                {if $available}
                                    <strong>{$culture|escape:'htmlall':'UTF-8'}</strong> <i class="icon-check text-success"></i>
                                {else}
                                    <strong>{$culture|escape:'htmlall':'UTF-8'}</strong> <i class="icon-remove text-danger" title="{l s='This culture is not allowed for country %s' sprintf={$country|escape:'htmlall':'UTF-8'} mod='floapay'}"></i>
                                {/if}
                            </div>
                        {/foreach}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
{if $fp_version == 'old'}</fieldset>{else}</div>{/if}
{if $env == "INTE"}
    <div class="alert alert-warning " data-rounding-alert="">
        {l s='You are currently in a test environment, no production payment should be made.' mod='floapay'}
    </div>
{/if}