{*
 * 2021 Floa BANK
 *
 * THE MIT LICENSE
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated
 * documentation files (the "Software"), to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and
 * to permit persons to whom the Software is furnished to do so, subject to the following conditions:
 * The above copyright notice and this permission notice shall be included in all copies or substantial portions of the
 * Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF
 * CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
 * IN THE SOFTWARE.
 *
 * @author    FLOA Bank
 * @copyright 2021 FLOA Bank
 * @license   https://opensource.org/licenses/MIT The MIT License
 *}
 
<div id="errorForm_{$paymentOption.method|escape:'htmlall':'UTF-8'}" class="errorFormFloa errorForm_{$paymentOption.method|escape:'htmlall':'UTF-8'} mb-1"></div>
<div class="eligibility eligibility_older">
    <div class="eligibility-loader" id="loading-{$paymentOption.method|escape:'htmlall':'UTF-8'}">
        <div class="eligibility-loader-icon"></div>
    </div>
    <div class="row">
        <div class="col-md-5 eligibility-summary">
            <img src="{$paymentOption.modulePath|escape:'htmlall':'UTF-8'}views/img/logos/floa_{$paymentOption.method|escape:'htmlall':'UTF-8'}.png" class="w-100 pb-1" />
            <h5>{l s='Your transaction' mod='floapay'}</h5>
            <div class="eligibility-summary-total"><img src="{$paymentOption.modulePath|escape:'htmlall':'UTF-8'}views/img/coins.png" /> {l s='Total amount' mod='floapay'}</div>
            {if $paymentOption.nb_schedule == 1 && $paymentOption.reportMode == 1}
                <p class="eligibility-summary-amount">{Tools::displayPrice($paymentOption.totalPlan-$paymentOption.fees)|escape:'htmlall':'UTF-8'}</p>
            {else}
                <p class="eligibility-summary-amount">{Tools::displayPrice($paymentOption.totalPlan)|escape:'htmlall':'UTF-8'}</p>
            {/if}
            <div class="eligibility-summary-fees">
                {if $paymentOption.fees > 0}
                    {if $paymentOption.nb_schedule == 1 && $paymentOption.reportMode == 1}
                        ({l s='Up to ' mod='floapay'} {Tools::displayPrice($paymentOption.fees)|escape:'htmlall':'UTF-8'} {l s='of fees' mod='floapay'}*)
                    {else}
                        ({l s='Including ' mod='floapay'} {Tools::displayPrice($paymentOption.fees)|escape:'htmlall':'UTF-8'} {l s='of fees' mod='floapay'})
                    {/if}
                {else}
                    ({l s='No fees' mod='floapay'})
                {/if}
            </div>
            <div class="installment-plan">
                <div class="installment-plan-title">{l s='Your payment schedule' mod='floapay'} : </div>
                {foreach from=$paymentOption.schedules key=key item=schedule}
                    {if $paymentOption.nb_schedule == 1}
                        {if $paymentOption.reportMode == 1}
                            {assign var="fromDateReport" value=$smarty.now}
                            {assign var="toDateReport" value=$smarty.now + (60*60*24*30)}
                            <div class="installment-plan-item">
                                {l s='Between' mod='floapay'} {$fromDateReport|date_format:"%d/%m/%Y"} {l s='and' mod='floapay'} {$toDateReport|date_format:"%d/%m/%Y"} : <span>{Tools::displayPrice($schedule->amount/100)|escape:'htmlall':'UTF-8'}</span>
                            </div>
                        {else}
                            {assign var="dateReport" value=$smarty.now + (60*60*24*{$paymentOption.reportDelay|escape:'htmlall':'UTF-8'})}
                            <div class="installment-plan-item">
                                {l s='At' mod='floapay'} {$dateReport|date_format:"%d/%m/%Y"} : <span>{Tools::displayPrice($schedule->amount/100)|escape:'htmlall':'UTF-8'}</span>
                            </div>
                        {/if}
                    {else}
                        <div class="installment-plan-item">
                            {l s='At' mod='floapay'} {$schedule->date|date_format:"%d/%m/%Y"} : <span>{Tools::displayPrice($schedule->amount/100)|escape:'htmlall':'UTF-8'}</span>
                        </div>
                    {/if}
                {/foreach}
            </div>
            {if $paymentOption.reportMode == 1 && $paymentOption.fees > 0}
                <br />
                <p class="eligibility-summary-information">
                    <strong>{l s='* The financing fees will be calculated according to your deferral period.' mod='floapay'}</strong>
                </p>
            {else}
                <br />
            {/if}
            <p class="eligibility-summary-information">
                {l s='By validating this information, you have used your respected data with a final assessment of your eligibility for payment in %s installments.' sprintf=[$paymentOption.nb_schedule] mod='floapay'}
                <br />
                <a href="{$paymentOption.cgv_link|escape:'htmlall':'UTF-8'}" target="_blank">{l s='More information here' mod='floapay'}</a>
            </p>
        </div>
        <div class="col-md-7 eligibility-form">
            <p class="eligibility-form-title">{l s='Please fill in this information to check your eligibility.' mod='floapay'}</p>
            {include file="../hook/displayPaymentFilePage_{$paymentOption.paymentCountryCode}.tpl"}
        </div>
    </div>
</div>