{*
 * 2021 Floa BANK
 *
 * THE MIT LICENSE
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated
 * documentation files (the "Software"), to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and
 * to permit persons to whom the Software is furnished to do so, subject to the following conditions:
 * The above copyright notice and this permission notice shall be included in all copies or substantial portions of the
 * Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF
 * CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
 * IN THE SOFTWARE.
 *
 * @author    FLOA Bank
 * @copyright 2021 FLOA Bank
 * @license   https://opensource.org/licenses/MIT The MIT License
 *}
 
<form id="form_{$method|escape:'htmlall':'UTF-8'}_scoring" method="post" action="{$eligibilityPath|escape:'htmlall':'UTF-8'}">
    <input type="hidden" name="method" value="{$method|escape:'htmlall':'UTF-8'}"/>
    <input type="hidden" name="token" value="{$token|escape:'htmlall':'UTF-8'}" />
    <input type="hidden" name="ajax" value="true" />
    {if $reportMode == 1 && $nb_schedule == 1}
        <input type="hidden" name="reportMode" id="reportMode" value="1"/>
        <div class="form-group mb-0">
            <div class="form-group mb-0">
                <label class="form-control-label">{l s='Desired payment date:' mod='floapay'}</label>
                <input class="form-control-input w-100 floaDateInput"
                        data-date-format="DD/MM/YYYY"
                        name="payment_date" id="payment_date"
                        max="{$toDateReport|date_format:"%Y-%m-%d"|escape:'htmlall':'UTF-8'}"
                        min="{$fromDateReport|date_format:"%Y-%m-%d"|escape:'htmlall':'UTF-8'}"
                        type="date">
            </div>
            <small class="form-text text-muted">
                {l s='Your payment date must be between the day after your purchase and 30 days later.' mod='floapay'}
            </small>
        </div>
    {/if}
    <div class="form-group mb-0">
        <label class="form-control-label">{l s='Your civility:' mod='floapay'}</label>
        <select class="form-control-input w-100 civility_choice" name="score_civility" data-id="{$method|escape:'htmlall':'UTF-8'}">
            <option value="1">{l s='Mr' mod='floapay'}</option>
            <option value="2">{l s='Mrs' mod='floapay'}</option>
        </select>
    </div>
    <div class="form-group mb-0">
        <label class="form-control-label">{l s='Your NIF:' mod='floapay'}</label>
        <input class="form-control-input w-100" 
                name="score_nif"
                value=""
                type="text">
    </div>
    <div class="form-group mb-0">
        <label class="form-control-label">{l s='Your phone:' mod='floapay'}</label>
        <input class="form-control-input w-100" 
                name="score_phone"
                value="{if isset($customer.addresses[$cart.id_address_invoice].phone_mobile)}{$customer.addresses[$cart.id_address_invoice].phone_mobile|escape:'htmlall':'UTF-8'}{/if}"
                type="text">
    </div>
    <div class="form-group mb-0">
        {assign var="fromMajorYear" value={'Y'|date|escape:'htmlall':'UTF-8'}-18}
        {assign var="toMajorYear" value={'Y'|date|escape:'htmlall':'UTF-8'}-100}
        <label class="form-control-label">{l s='Your date and postal code of birth:' mod='floapay'}</label>
        <input class="form-control-input w-30"
                name="score_ddn"
                value="{if isset($customer.birthday) && $customer.birthday != "0000-00-00"}{$customer.birthday|date_format:'%Y-%m-%d'|escape:'htmlall':'UTF-8'}{/if}"
                max="{$fromMajorYear|escape:'htmlall':'UTF-8'}-{'m'|date}-{'d'|date}"
                min="{$toMajorYear|escape:'htmlall':'UTF-8'}-{'m'|date}-{'d'|date}"
                type="date">
        <input class="form-control-input w-70" name="score_cp" type="text">
        <small class="form-text text-muted">
            {l s='Your birth date must be valid in the format "%s" and your birth postal in the format "%s" (99 in the case of a foreign country)' sprintf=["DD/MM/YYYY"|escape:'htmlall':'UTF-8',"00000"|escape:'htmlall':'UTF-8'] mod='floapay'}
        </small>
    </div>
</form>