{*
 * 2021 Floa BANK
 *
 * THE MIT LICENSE
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated
 * documentation files (the "Software"), to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and
 * to permit persons to whom the Software is furnished to do so, subject to the following conditions:
 * The above copyright notice and this permission notice shall be included in all copies or substantial portions of the
 * Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF
 * CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
 * IN THE SOFTWARE.
 *
 * @author    FLOA Bank
 * @copyright 2021 FLOA Bank
 * @license   https://opensource.org/licenses/MIT The MIT License
 *}

<div id="errorForm_{$method|escape:'htmlall':'UTF-8'}" class="mb-1"></div>
<div class="eligibility">
    <div class="eligibility-loader" id="loading-{$method|escape:'htmlall':'UTF-8'}">
        <div class="eligibility-loader-icon"></div>
    </div>
    <div class="row">
        <div class="col-md-5 eligibility-summary">
            <img src="{$modulePath|escape:'htmlall':'UTF-8'}views/img/logos/floa_{$method|escape:'htmlall':'UTF-8'}.png" class="w-100 pb-1" />
            <h5>{l s='Your transaction' mod='floapay'}</h5>
            <div class="eligibility-summary-total"><img src="{$modulePath|escape:'htmlall':'UTF-8'}views/img/coins.png" /> {l s='Total amount' mod='floapay'}</div>
            {if $nb_schedule == 1 && $reportMode == 1}
                <p class="eligibility-summary-amount">{Tools::displayPrice($totalPlan-$fees)|escape:'htmlall':'UTF-8'}</p>
            {else}
                <p class="eligibility-summary-amount">{Tools::displayPrice($totalPlan)|escape:'htmlall':'UTF-8'}</p>
            {/if}
            <div class="eligibility-summary-fees">
                {if $fees > 0}
                    {if $nb_schedule == 1 && $reportMode == 1}
                        ({l s='Up to ' mod='floapay'} {Tools::displayPrice($fees)|escape:'htmlall':'UTF-8'} {l s='of fees' mod='floapay'}*)
                    {else}
                        ({l s='Including ' mod='floapay'} {Tools::displayPrice($fees)|escape:'htmlall':'UTF-8'} {l s='of fees' mod='floapay'})
                    {/if}
                {else}
                    ({l s='No fees' mod='floapay'})
                {/if}
            </div>
            <div class="installment-plan">
                <div class="installment-plan-title">{l s='Your payment schedule' mod='floapay'} : </div>
                {foreach from=$schedules key=key item=schedule}
                    {if $nb_schedule == 1}
                        {if $reportMode == 1}
                            {assign var="fromDateReport" value=$smarty.now}
                            {assign var="toDateReport" value=$smarty.now + (60*60*24*30)}
                            <div class="installment-plan-item">
                                {l s='Between' mod='floapay'} {$fromDateReport|date_format:"%d/%m/%Y"} {l s='and' mod='floapay'} {$toDateReport|date_format:"%d/%m/%Y"} : <span>{Tools::displayPrice($schedule->amount/100)|escape:'htmlall':'UTF-8'}</span>
                            </div>
                        {else}
                            {assign var="dateReport" value=$smarty.now + (60*60*24*{$reportDelay|escape:'htmlall':'UTF-8'})}
                            <div class="installment-plan-item">
                                {l s='At' mod='floapay'} {$dateReport|date_format:"%d/%m/%Y"} : <span>{Tools::displayPrice($schedule->amount/100)|escape:'htmlall':'UTF-8'}</span>
                            </div>
                        {/if}
                    {else}
                        <div class="installment-plan-item">
                            {l s='At' mod='floapay'} {$schedule->date|date_format:"%d/%m/%Y"} : <span>{Tools::displayPrice($schedule->amount/100)|escape:'htmlall':'UTF-8'}</span>
                        </div>
                    {/if}
                {/foreach}
            </div>
            {if $reportMode == 1 && $fees > 0}
                <br />
                <p class="eligibility-summary-information">
                    <strong>{l s='* The financing fees will be calculated according to your deferral period.' mod='floapay'}</strong>
                </p>
            {else}
                <br />
            {/if}
            <p class="eligibility-summary-information">
                {l s='By validating this information, you have used your respected data with a final assessment of your eligibility for payment in %s installments.' sprintf=[$nb_schedule] mod='floapay'}
                <br />
                <a href="{$cgv_link|escape:'htmlall':'UTF-8'}" target="_blank">{l s='More information here' mod='floapay'}</a>
            </p>
        </div>
        <div class="col-md-7 eligibility-form">
            <p class="eligibility-form-title">{l s='Please fill in this information to check your eligibility.' mod='floapay'}</p>
            {assign var="fromDateReport" value=$smarty.now}
            {assign var="toDateReport" value=$smarty.now + (60*60*24*30)}
            {include file="module:floapay/views/templates/hook/paymentApiFilePage_{$paymentCountryCode}.tpl"}
        </div>
    </div>
</div>
<script type="text/javascript">
    var _CIVILITY_SCORE_INVALID_ = "{l s='Civility is invalid.' mod='floapay'}";
    var _DDN_SCORE_INVALID_ = "{l s='Birth date is invalid.' mod='floapay'}";
    var _NIF_SCORE_INVALID_ = "{l s='NIF is invalid.' mod='floapay'}";
    var _DDN_SCORE_MAJOR_INVALID_ = "{l s='You must be over 18 years old.' mod='floapay'}";
    var _MAIDEN_SCORE_INVALID_ = "{l s='Maiden name is invalid.' mod='floapay'}";
    var _SECOND_LAST_NAME_INVALID_ = "{l s='Second lastname is invalid.' mod='floapay'}";
    var _PHONE_SCORE_INVALID_ = "{l s='Phone number is invalid.' mod='floapay'}";
    var _CP_SCORE_INVALID_ = "{l s='Postal code is invalid.'  mod='floapay'}";
    var _PAYMENT_DATE_SCORE_INVALID_ = "{l s='Payment date is invalid.'  mod='floapay'}";
    var _ERROR_OCCURED_ = "{l s='An error has occured, please try again in a few moments...'  mod='floapay'}";
    var _FLOA_COUNTRY_CONTEXT_ = '{$paymentCountryCode|escape:'htmlall':'UTF-8'}';
</script>
