{*
 * 2021 Floa BANK
 *
 * THE MIT LICENSE
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated
 * documentation files (the "Software"), to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and
 * to permit persons to whom the Software is furnished to do so, subject to the following conditions:
 * The above copyright notice and this permission notice shall be included in all copies or substantial portions of the
 * Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF
 * CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
 * IN THE SOFTWARE.
 *
 * @author    FLOA Bank
 * @copyright 2021 FLOA Bank
 * @license   https://opensource.org/licenses/MIT The MIT License
 *}

<div class="floa-payment">
     <h1><img width="33" src="{$path_logo|escape:'htmlall':'UTF-8'}" alt="" /> {l s='Your Floa Bank payment' mod='floapay'}</h1>
     <br />
     <p class="floa-payment-info"><strong><u>{l s='Thank you for your trust!' mod='floapay'}</u></strong></p>
     <p class="floa-payment-info">{l s='Your payment has been validated.' mod='floapay'}</p>

     {if $schedules}
          <p>{l s='Here is the summary of your payment schedule.' mod='floapay'}</p>
          <table class="floa-payment-schedules">
               <thead>
                    <tr>
                         <th class="text-xs-center">{l s='Schedule' mod='floapay'}</th>
                         <th class="text-xs-center">{l s='Date' mod='floapay'}</th>
                         <th class="text-xs-center">{l s='Amount' mod='floapay'}</th>
                    </tr>
               </thead>
               <tbody>
                    {foreach from=$schedules item=schedule}
                         <tr>
                              <td><strong>{$schedule->rank|escape:'htmlall':'UTF-8'}</strong></td>
                              <td class="text-xs-center">{$schedule->date|date_format:"%d/%m/%Y"|escape:'htmlall':'UTF-8'}</td>
                              <td class="text-xs-right">{Tools::displayPrice(($schedule->amount|escape:'htmlall':'UTF-8')/100)}</td>
                         </tr>
                    {/foreach}
               </tbody>
          </table>
     {/if}
</div>